/* Generated By:JJTree: Do not edit this line. /Users/trevor/Documents/School/othercode/pig-src/src/com/yahoo/pig/impl/logicalLayer/parser/QueryParserTreeConstants.java */

package com.yahoo.pig.impl.logicalLayer.parser;

public interface QueryParserTreeConstants
{
  public int JJTPARSE = 0;
  public int JJTEXPR = 1;
  public int JJTNESTEDEXPR = 2;
  public int JJTALIAS = 3;
  public int JJTBASEEXPR = 4;
  public int JJTLOADCLAUSE = 5;
  public int JJTFILTERCLAUSE = 6;
  public int JJTPCOND = 7;
  public int JJTPORCOND = 8;
  public int JJTPANDCOND = 9;
  public int JJTPUNARYCOND = 10;
  public int JJTPNOTCOND = 11;
  public int JJTCOGROUPCLAUSE = 12;
  public int JJTGROUPITEM = 13;
  public int JJTGROUPBYEXPR = 14;
  public int JJTGROUPBYSPEC = 15;
  public int JJTCROSSCLAUSE = 16;
  public int JJTUNIONCLAUSE = 17;
  public int JJTFOREACHCLAUSE = 18;
  public int JJTNESTEDBLOCK = 19;
  public int JJTNESTEDCOMMAND = 20;
  public int JJTNESTEDFILTER = 21;
  public int JJTNESTEDSORTORARRANGE = 22;
  public int JJTNESTEDDISTINCT = 23;
  public int JJTGENERATESTATEMENT = 24;
  public int JJTFLATTENEDGENERATEITEMLIST = 25;
  public int JJTFLATTENEDGENERATEITEM = 26;
  public int JJTGENERATEITEM = 27;
  public int JJTINFIXEXPR = 28;
  public int JJTADDITIVEEXPR = 29;
  public int JJTMULTIPLICATIVEEXPR = 30;
  public int JJTUNARYEXPR = 31;
  public int JJTBASEEVALITEM = 32;
  public int JJTBINCOND = 33;
  public int JJTFUNCEVALITEM = 34;
  public int JJTEVALARGS = 35;
  public int JJTEVALARGSITEM = 36;
  public int JJTASCLAUSE = 37;
  public int JJTSCHEMAELEMENT = 38;
  public int JJTSCHEMAFIELD = 39;
  public int JJTSCHEMATUPLE = 40;
  public int JJTSCHEMABAG = 41;
  public int JJTPEVALSPECPIPE = 42;
  public int JJTPEVALSPEC = 43;
  public int JJTPFILTER = 44;
  public int JJTPSAD = 45;
  public int JJTPEVALITEMLIST = 46;
  public int JJTPEVALITEM = 47;
  public int JJTPNESTABLEEVALITEM = 48;
  public int JJTEVALFUNCTIONITEM = 49;
  public int JJTSERIALIZEDBINCOND = 50;
  public int JJTPSERIALIZEDCOND = 51;
  public int JJTPSERIALIZEDORCOND = 52;
  public int JJTPSERIALIZEDANDCOND = 53;
  public int JJTPSERIALIZEDUNARYCOND = 54;
  public int JJTPSERIALIZEDNOTCOND = 55;
  public int JJTPWINDOW = 56;
  public int JJTPTIMEWINDOW = 57;
  public int JJTPTUPLEWINDOW = 58;
  public int JJTEVALFUNCTION = 59;
  public int JJTGROUPFUNCTION = 60;
  public int JJTLOADFUNCTION = 61;
  public int JJTFILTERFUNCTION = 62;
  public int JJTVOID = 63;
  public int JJTBRACKETEDSIMPLEPROJ = 64;
  public int JJTSIMPLEPROJOREMPTY = 65;
  public int JJTSIMPLEPROJ = 66;
  public int JJTPSIMPLEPROJITEM = 67;
  public int JJTSTAR = 68;
  public int JJTCONST = 69;
  public int JJTPCOLEVALITEM = 70;
  public int JJTDOLLARVAR = 71;
  public int JJTALIASFIELD = 72;


  public String[] jjtNodeName = {
    "Parse",
    "Expr",
    "NestedExpr",
    "Alias",
    "BaseExpr",
    "LoadClause",
    "FilterClause",
    "PCond",
    "POrCond",
    "PAndCond",
    "PUnaryCond",
    "PNotCond",
    "CogroupClause",
    "GroupItem",
    "GroupByExpr",
    "GroupBySpec",
    "CrossClause",
    "UnionClause",
    "ForEachClause",
    "NestedBlock",
    "NestedCommand",
    "NestedFilter",
    "NestedSortOrArrange",
    "NestedDistinct",
    "GenerateStatement",
    "FlattenedGenerateItemList",
    "FlattenedGenerateItem",
    "GenerateItem",
    "InfixExpr",
    "AdditiveExpr",
    "MultiplicativeExpr",
    "UnaryExpr",
    "BaseEvalItem",
    "BinCond",
    "FuncEvalItem",
    "EvalArgs",
    "EvalArgsItem",
    "AsClause",
    "SchemaElement",
    "SchemaField",
    "SchemaTuple",
    "SchemaBag",
    "PEvalSpecPipe",
    "PEvalSpec",
    "PFilter",
    "PSAD",
    "PEvalItemList",
    "PEvalItem",
    "PNestableEvalItem",
    "EvalFunctionItem",
    "SerializedBinCond",
    "PSerializedCond",
    "PSerializedOrCond",
    "PSerializedAndCond",
    "PSerializedUnaryCond",
    "PSerializedNotCond",
    "PWindow",
    "PTimeWindow",
    "PTupleWindow",
    "EvalFunction",
    "GroupFunction",
    "LoadFunction",
    "FilterFunction",
    "void",
    "BracketedSimpleProj",
    "SimpleProjOrEmpty",
    "SimpleProj",
    "PSimpleProjItem",
    "Star",
    "Const",
    "PColEvalItem",
    "DollarVar",
    "AliasField",
  };
}
